Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 231068

Summary: WebDAV not usable with Nautilus if files/directories on the webserver have "sophisticated" access control
Product: [Fedora] Fedora Reporter: Armijn Hemel <armijn>
Component: nautilusAssignee: Tomáš Bžatek <tbzatek>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: triage, tsmetana
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-06 19:19:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Armijn Hemel 2007-03-05 22:14:31 UTC
Description of problem:

I have a webserver (CentOS 4.4, latest patches, mod_dav_svn-1.4.3-0.1.el4.rf,
httpd-2.0.59-1.el4s1.5.el4.centos)and have WebDAV enabled. Everything works
fine, with HTTP basic authentication, unless there are folders/directories which
have different ownership than the user that is connecting. For example:

/
/user1
/user2

The / directory is viewable by any user, the "user1" directory is owned by
"user1" (HTTP basic authentication, and "Require user" in the Apache config) and
the directory "user2" is owned by "user2". Nautilus does not like it and will
start doing weird stuff.

Version-Release number of selected component (if applicable):


How reproducible:

Always


Steps to Reproduce:
1. Set up a webserver with Apache
2. Enable DAV with HTTP basic auth
3. create two users
4. require user1 for 1 directory, require user2 for another directory
5. connect, browse, try to enter a directory, which is owned by another user
than the connecting user
  
Actual results:

Nautilus fails to enter the directory, prompts for a password for the current
user, which is clearly wrong, since it should try to connect as the owner of the
file/directory.

Expected results:

I don't know what the correct behaviour should be, but I think Nautilus should
at least give me the option to connect as a different user. cadaver does this
for example, by prompting for a different user name.

Additional info:

Comment 1 Armijn Hemel 2007-03-05 22:15:24 UTC
I forgot to add: nautilus-2.16.2-7.fc6, but it has plagued me for a bit longer.

Comment 2 Bug Zapper 2008-04-04 06:28:07 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 3 Bug Zapper 2008-05-06 19:19:26 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.